2019-10-18 15:49 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005491Spring engineGeneralpublic2017-04-02 21:25
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilityrandom
StatusresolvedResolutionfixed 
Product Version103.0 +git 
Target VersionFixed in Version103.0 +git 
Summary0005491: 103.0.1-648-g5775975 failed to allocate memory
DescriptionSpring crashed mid way through midgame rejoin. The bottom of the stacktrace looks to be the same as the common 103.0.1-648-g5775975 crash.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0017372

Kloot (developer)

Last edited: 2017-02-28 12:44

View 2 revisions

rts/System/Platform/Win/CrashHandler.cpp:185
rts/System/Platform/Win/CrashHandler.cpp:347
/opt/mxe/tmp-gcc/gcc-4.8.1/libstdc++-v3/libsupc++/new_op.cc:58
/opt/mxe/tmp-gcc/gcc-4.8.1.build/i686-w64-mingw32/libstdc++-v3/include/bits/basic_string.tcc:308
/opt/mxe/tmp-gcc/gcc-4.8.1.build/i686-w64-mingw32/libstdc++-v3/include/bits/basic_string.tcc:301
rts/Rendering/Fonts/TextWrap.cpp:566
rts/Rendering/Fonts/TextWrap.h:87
rts/lib/lua/src/ldo.cpp:321
rts/lib/lua/src/lvm.cpp:112
rts/lib/lua/src/lvm.cpp:634
rts/lib/lua/src/ldo.cpp:378
/opt/mxe/tmp-gcc/gcc-4.8.1.build/i686-w64-mingw32/libgcc/./gthr-default.h:628
rts/lib/lua/src/lapi.cpp:813
rts/lib/lua/src/ldo.cpp:119
rts/lib/lua/src/ldo.cpp:465
rts/lib/lua/src/lapi.cpp:834
rts/lib/lua/src/lapi.cpp:245
rts/lib/lua/src/lapi.cpp:167
rts/lib/lua/src/lbaselib.cpp:390
rts/lib/lua/src/ldo.cpp:321
rts/lib/lua/src/ldo.cpp:378
rts/lib/lua/src/lvm.cpp:613
rts/lib/lua/src/ldo.cpp:378
/opt/mxe/tmp-gcc/gcc-4.8.1.build/i686-w64-mingw32/libgcc/./gthr-default.h:628
rts/lib/lua/src/lapi.cpp:813
rts/lib/lua/src/ldo.cpp:119
rts/lib/lua/src/lvm.cpp:137
rts/lib/lua/src/lvm.cpp:667
rts/lib/lua/src/ldo.cpp:465
rts/lib/lua/src/lapi.cpp:327
rts/lib/lua/src/lbaselib.cpp:378
rts/lib/lua/src/ldo.cpp:321
rts/lib/lua/src/lvm.cpp:613
rts/lib/lua/src/ldo.cpp:378

upstream builds contain a preventive measure against this, but I would start looking for some part of Chili submitting excessively long strings (and/or very small maxWidths) to font:WrapText.

~0017408

Kloot (developer)

not seen this one since the changes to TextWrap
+Notes

-Issue History
Date Modified Username Field Change
2017-02-28 12:03 Google_Frog New Issue
2017-02-28 12:03 Google_Frog File Added: 20170128110328_infolog.txt
2017-02-28 12:41 Kloot Note Added: 0017372
2017-02-28 12:44 Kloot Note Edited: 0017372 View Revisions
2017-04-02 21:25 Kloot Assigned To => Kloot
2017-04-02 21:25 Kloot Status new => resolved
2017-04-02 21:25 Kloot Resolution open => fixed
2017-04-02 21:25 Kloot Fixed in Version => 103.0 +git
2017-04-02 21:25 Kloot Note Added: 0017408
+Issue History